Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1818886 - Review Request: golang-github-bobesa-domain-util - Handler for URL parts and identification of TLD and subdomain
Summary: Review Request: golang-github-bobesa-domain-util - Handler for URL parts and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1818892
TreeView+ depends on / blocked
 
Reported: 2020-03-30 15:37 UTC by Fabian Affolter
Modified: 2020-05-23 02:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-23 02:44:21 UTC
Type: ---
Embargoed:
o.lemasle: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-03-30 15:37:12 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-bobesa-domain-util.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-bobesa-domain-util-0-0.1.20200330git4033b5f.fc31.src.rpm

Project URL: https://github.com/bobesa/go-domain-util

Description:
Handler for URL parts and identification of TLD and subdomain.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42876624

rpmlint output:
$ rpmlint golang-github-bobesa-domain-util-0-0.1.20200330git4033b5f.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-bob*
golang-github-bobesa-domain-util.x86_64: W: no-manual-page-for-binary domainparser
golang-github-bobesa-domain-util-debugsource.x86_64: E: description-line-too-long C This package provides debug sources for package golang-github-bobesa-domain-util.
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Olivier Lemasle 2020-04-08 15:46:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-bobesa-domain-util-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-bobesa-domain-util-0-0.1.20200330git4033b5f.fc33.x86_64.rpm
          golang-github-bobesa-domain-util-devel-0-0.1.20200330git4033b5f.fc33.noarch.rpm
          golang-github-bobesa-domain-util-debuginfo-0-0.1.20200330git4033b5f.fc33.x86_64.rpm
          golang-github-bobesa-domain-util-debugsource-0-0.1.20200330git4033b5f.fc33.x86_64.rpm
          golang-github-bobesa-domain-util-0-0.1.20200330git4033b5f.fc33.src.rpm
golang-github-bobesa-domain-util.x86_64: W: no-manual-page-for-binary domainparser
golang-github-bobesa-domain-util-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/bobesa/go-domain-util/.goipath
golang-github-bobesa-domain-util-debugsource.x86_64: E: description-line-too-long C This package provides debug sources for package golang-github-bobesa-domain-util.
5 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: golang-github-bobesa-domain-util-debuginfo-0-0.1.20200330git4033b5f.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
golang-github-bobesa-domain-util-debugsource.x86_64: E: description-line-too-long C This package provides debug sources for package golang-github-bobesa-domain-util.
golang-github-bobesa-domain-util-debugsource.x86_64: W: invalid-url URL: https://github.com/bobesa/go-domain-util <urlopen error [Errno -2] Name or service not known>
golang-github-bobesa-domain-util-debuginfo.x86_64: W: invalid-url URL: https://github.com/bobesa/go-domain-util <urlopen error [Errno -2] Name or service not known>
golang-github-bobesa-domain-util-devel.noarch: W: invalid-url URL: https://github.com/bobesa/go-domain-util <urlopen error [Errno -2] Name or service not known>
golang-github-bobesa-domain-util-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/bobesa/go-domain-util/.goipath
golang-github-bobesa-domain-util.x86_64: W: invalid-url URL: https://github.com/bobesa/go-domain-util <urlopen error [Errno -2] Name or service not known>
golang-github-bobesa-domain-util.x86_64: W: no-manual-page-for-binary domainparser
4 packages and 0 specfiles checked; 1 errors, 6 warnings.



Source checksums
----------------
https://github.com/bobesa/go-domain-util/archive/4033b5f7dd89ff01908ec97cb7a367a81fe4f6d7/go-domain-util-4033b5f7dd89ff01908ec97cb7a367a81fe4f6d7.tar.gz :
  CHECKSUM(SHA256) this package     : 20f10efd35ccad850ff0daf6e9a4ebcb0af57379697e24f1a743cc8231967d3b
  CHECKSUM(SHA256) upstream package : 20f10efd35ccad850ff0daf6e9a4ebcb0af57379697e24f1a743cc8231967d3b


Requires
--------
golang-github-bobesa-domain-util (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

golang-github-bobesa-domain-util-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(golang.org/x/net/idna)

golang-github-bobesa-domain-util-debuginfo (rpmlib, GLIBC filtered):

golang-github-bobesa-domain-util-debugsource (rpmlib, GLIBC filtered):



Provides
--------
golang-github-bobesa-domain-util:
    golang-github-bobesa-domain-util
    golang-github-bobesa-domain-util(x86-64)

golang-github-bobesa-domain-util-devel:
    golang(github.com/bobesa/go-domain-util/domainutil)
    golang(github.com/bobesa/go-domain-util/domainutil)(commit=4033b5f7dd89ff01908ec97cb7a367a81fe4f6d7)
    golang-github-bobesa-domain-util-devel
    golang-ipath(github.com/bobesa/go-domain-util)
    golang-ipath(github.com/bobesa/go-domain-util)(commit=4033b5f7dd89ff01908ec97cb7a367a81fe4f6d7)

golang-github-bobesa-domain-util-debuginfo:
    debuginfo(build-id)
    golang-github-bobesa-domain-util-debuginfo
    golang-github-bobesa-domain-util-debuginfo(x86-64)

golang-github-bobesa-domain-util-debugsource:
    golang-github-bobesa-domain-util-debugsource
    golang-github-bobesa-domain-util-debugsource(x86-64)

Comment 2 Fabian Affolter 2020-04-11 07:27:48 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-04-11 18:03:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-bobesa-domain-util

Comment 4 Fedora Update System 2020-05-14 08:20:42 UTC
FEDORA-2020-fba16d7af6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fba16d7af6

Comment 5 Fedora Update System 2020-05-14 08:28:03 UTC
FEDORA-2020-6a859ead09 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6a859ead09

Comment 6 Fedora Update System 2020-05-15 04:31:14 UTC
FEDORA-2020-fba16d7af6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fba16d7af6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fba16d7af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-15 05:10:05 UTC
FEDORA-2020-6a859ead09 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6a859ead09 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6a859ead09

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-23 02:44:21 UTC
FEDORA-2020-fba16d7af6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-05-23 02:50:57 UTC
FEDORA-2020-6a859ead09 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.